"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const vue = require("vue");
const uikitBaseComponentVue3 = require("@tencentcloud/uikit-base-component-vue3");
const IconButton = require("../base/IconButton.vue2.js");
const room = require("tuikit-atomicx-vue3/room");
const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  setup(__props) {
    const { t } = uikitBaseComponentVue3.useUIKit();
    const { currentRoom } = room.useRoomState();
    const title = vue.computed(() => {
      var _a, _b;
      if (!currentRoom.value) {
        return t("Participant.Title");
      }
      return t("Participant.Title") + `(${(((_a = currentRoom.value) == null ? void 0 : _a.participantCount) || 0) + (((_b = currentRoom.value) == null ? void 0 : _b.audienceCount) || 0)})`;
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(IconButton.default, { title: title.value }, {
        default: vue.withCtx(() => [
          vue.createVNode(vue.unref(uikitBaseComponentVue3.IconManageMember), { size: "24" })
        ]),
        _: 1
      }, 8, ["title"]);
    };
  }
});
exports.default = _sfc_main;
